
#watch-video {
  max-width: 100%;
  max-height: 100vh;
}

.watch-arrow {
  color: white;
  font-size: 3vw;
  position: absolute;
  top: 1vw;
  left: 3vw;
  opacity: .3;
  z-index: 2;
  transition: all 250ms;
  /* opacity: 1 */
}

.watch-arrow:hover {
  opacity: 1
}

/* Seek Bar */
.seek-control-container {
  position: absolute;
  width: 100%;
  display: flex;
  align-items: center;
  transition: all 1s;
  bottom: -15px;
}

.seek-control-container .seek-bar {
  width: 100%;
  background: grey;
  height: 5px;
}

.seek-control-container .seek-bar-progress {
  background: white;
  height: 5px;
  border-radius: 5px;
  position: absolute;
  pointer-events: none;
}

.seek-control-container .seek-bar-handle {
  background: white;
  height: 17px;
  width: 17px;
  border-radius: 50%;
  position: absolute;
  cursor: pointer;
}

.seek-control-container .disabled {
  pointer-events: none;
}

.seek-bar-timestamp {
  background: transparent;
  padding: 16px 7px 14px 0px;
  line-height: 4px;
  border-radius: 3px;
  color: #ffffff;
  font-size: 16px;
}

.pilotly-bar-button-seek {
  padding: 0 10px 0 0 !important;
  display: flex !important;
  width: 100%;
  justify-content: space-evenly;
  flex-direction: column;
  position: relative;
}


/* Volume Slider */
.volume-control-container {
  position: absolute;
  top: 1vw;
  right: 4vw;
  width: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
}

.watch-page:hover .volume-control-container {
  opacity: 1;
}

.volume-control-container span {
  display: none;
}

.volume-control-container img {
  height: 20px;
}

.volume-control-container input[type='range'] {
  width: 100px;
  -webkit-appearance: none;
  border-radius: 5px;
  border: none;
  background: #efefef;
  height: 5px;
  margin-right: 15px;
}

.volume-control-container input[type='range']::-webkit-slider-runnable-track {
  -webkit-appearance: none;
  color: transparent;
  overflow: visible;
  border-radius: 5px;
  background-color: transparent;
}

.volume-control-container input[type=range]::-moz-range-thumb {
  width: 12px;
  -webkit-appearance: none;
  height: 12px;
  cursor: ew-resize;
  background: #efefef;
  box-shadow: none;
}

.volume-control-container input[type='range']::-webkit-slider-thumb {
  width: 12px;
  -webkit-appearance: none;
  height: 12px;
  cursor: ew-resize;
  background: #efefef;
  box-shadow: none;
}

.loading-circle {
  animation: rotation 1.75s infinite linear;
  position: absolute;
  top: calc(50vh - 96px);
  left: calc(50vw - 43px);
}

.loading-circle.hidden {
  display: none;
}

/* AD CHOICE */
.ad-choice-display {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #000;
  display: none;
  opacity: 0;
}

.ad-choice-display.enabled {
  display: initial;
  opacity: 1;
  transition: opacity linear 300ms;
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}